<html>
<head>
<title>JFORMER VERSUCH</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="css/jformer.css" ></link>
<script type="text/javascript" src="jquery.js" ></script>
<script type="text/javascript" src="jformer.js" ></script>
<script type="text/javascript" src="functions.js" ></script>
</head>
<body>
<?php
  require_once($_SERVER['DOCUMENT_ROOT'].'jformer.php');

  
  $Form = new JFormer('AdressForm',  array('submitButtonText' => '-> DEMO'));

  $Form->addJFormComponentArray(array(       
        
        
        new JFormComponentSingleLineText('iban', 'IBAN:', array(
            'width' => 'long',
            'triggerFunction' => 'UpdateBankdaten();',
            'validationOptions' => array(required,
                'serverSide' => array(
                'url' => 'http://zeltlageranmeldung.de/checkIBAN.php',
                'task' => 'checkUsernameAvailability',
                ),
             ),
        )),
        
        new JFormComponentSingleLineText('bic', 'BIC:', array(
            'width' => 'long',
            'validationOptions' => array(required),
            'initialValue' => '..wird automatisch ausgefüllt',
        )),
        
        new JFormComponentSingleLineText('bankname', 'Bankname:', array(
            'width' => 'long',
            'disabled' => true,
            'initialValue' => '..wird automatisch ausgefüllt',


        )),
    
    ));


  function onSubmit($formValues)
  {

    $iban = $formValues->iban;
    $bic = $formValues->bic;
    $bankname = $formValues->bankname;


    $response = array('successPageHtml' => '<p>5€ wurden von folgendem Konto abgebucht:' . $iban .'-'. $bic .'-'. $bankname . '</p>');
    return $response;
  }

  // Process any request to the form
  $Form->processRequest();

?>
</body>
</html>